unit ViewAng;

interface

function ViewingAngle(x,y:Integer):Byte;

implementation

var ATable:Array[0..255] of Byte;

function ViewingAngle(x,y:Integer):Byte;
var AByte:Byte;
begin
	AByte := 0;
	if x < 0 then AByte := 8;
	if y < 0 then AByte := AByte or $80;
	x := abs(x);y := abs(y);
	while (x >= 8) or (y >= 8) do
		begin
			x := x div 2;y := y div 2;
		end;
	AByte := AByte or x;
	AByte := AByte or (y * 16);
	if ATable[AByte] = $FF then Halt(0);
	ViewingAngle := ATable[AByte];
end;

procedure LoadArcTanTable;
var f:File of Byte;
	i:Integer;
begin
	Assign(f,'ARCTAN.BIN');
	Reset(f);
	for i := 0 to 255 do Read(f,ATable[i]);
	Close(f);
end;


begin
	LoadArcTanTable;
end.
