;
;     Table for converting arctangent values to 256 unit degrees
;
OffsetToAngle:
    .db     0 ; [  0]  (+0,+0)     0 degrees.
    .db     0 ; [  1]  (+1,+0)     0 degrees.
    .db     0 ; [  2]  (+2,+0)     0 degrees.
    .db     0 ; [  3]  (+3,+0)     0 degrees.
    .db     0 ; [  4]  (+4,+0)     0 degrees.
    .db     0 ; [  5]  (+5,+0)     0 degrees.
    .db     0 ; [  6]  (+6,+0)     0 degrees.
    .db     0 ; [  7]  (+7,+0)     0 degrees.
    .db     0 ; [  8]  (-0,+0)     0 degrees.
    .db   128 ; [  9]  (-1,+0)   180 degrees.
    .db   128 ; [ 10]  (-2,+0)   180 degrees.
    .db   128 ; [ 11]  (-3,+0)   180 degrees.
    .db   128 ; [ 12]  (-4,+0)   180 degrees.
    .db   128 ; [ 13]  (-5,+0)   180 degrees.
    .db   128 ; [ 14]  (-6,+0)   180 degrees.
    .db   128 ; [ 15]  (-7,+0)   180 degrees.
    .db    64 ; [ 16]  (+0,+1)    90 degrees.
    .db    32 ; [ 17]  (+1,+1)    45 degrees.
    .db    19 ; [ 18]  (+2,+1)    27 degrees.
    .db    13 ; [ 19]  (+3,+1)    18 degrees.
    .db    10 ; [ 20]  (+4,+1)    14 degrees.
    .db     8 ; [ 21]  (+5,+1)    11 degrees.
    .db     7 ; [ 22]  (+6,+1)    10 degrees.
    .db     6 ; [ 23]  (+7,+1)     8 degrees.
    .db    64 ; [ 24]  (-0,+1)    90 degrees.
    .db    96 ; [ 25]  (-1,+1)   135 degrees.
    .db   109 ; [ 26]  (-2,+1)   153 degrees.
    .db   115 ; [ 27]  (-3,+1)   162 degrees.
    .db   118 ; [ 28]  (-4,+1)   166 degrees.
    .db   120 ; [ 29]  (-5,+1)   169 degrees.
    .db   122 ; [ 30]  (-6,+1)   172 degrees.
    .db   123 ; [ 31]  (-7,+1)   173 degrees.
    .db    64 ; [ 32]  (+0,+2)    90 degrees.
    .db    45 ; [ 33]  (+1,+2)    63 degrees.
    .db    32 ; [ 34]  (+2,+2)    45 degrees.
    .db    24 ; [ 35]  (+3,+2)    34 degrees.
    .db    19 ; [ 36]  (+4,+2)    27 degrees.
    .db    16 ; [ 37]  (+5,+2)    23 degrees.
    .db    13 ; [ 38]  (+6,+2)    18 degrees.
    .db    12 ; [ 39]  (+7,+2)    17 degrees.
    .db    64 ; [ 40]  (-0,+2)    90 degrees.
    .db    83 ; [ 41]  (-1,+2)   117 degrees.
    .db    96 ; [ 42]  (-2,+2)   135 degrees.
    .db   104 ; [ 43]  (-3,+2)   146 degrees.
    .db   109 ; [ 44]  (-4,+2)   153 degrees.
    .db   113 ; [ 45]  (-5,+2)   159 degrees.
    .db   115 ; [ 46]  (-6,+2)   162 degrees.
    .db   117 ; [ 47]  (-7,+2)   165 degrees.
    .db    64 ; [ 48]  (+0,+3)    90 degrees.
    .db    51 ; [ 49]  (+1,+3)    72 degrees.
    .db    40 ; [ 50]  (+2,+3)    56 degrees.
    .db    32 ; [ 51]  (+3,+3)    45 degrees.
    .db    27 ; [ 52]  (+4,+3)    38 degrees.
    .db    22 ; [ 53]  (+5,+3)    31 degrees.
    .db    19 ; [ 54]  (+6,+3)    27 degrees.
    .db    17 ; [ 55]  (+7,+3)    24 degrees.
    .db    64 ; [ 56]  (-0,+3)    90 degrees.
    .db    77 ; [ 57]  (-1,+3)   108 degrees.
    .db    88 ; [ 58]  (-2,+3)   124 degrees.
    .db    96 ; [ 59]  (-3,+3)   135 degrees.
    .db   102 ; [ 60]  (-4,+3)   143 degrees.
    .db   106 ; [ 61]  (-5,+3)   149 degrees.
    .db   109 ; [ 62]  (-6,+3)   153 degrees.
    .db   112 ; [ 63]  (-7,+3)   158 degrees.
    .db    64 ; [ 64]  (+0,+4)    90 degrees.
    .db    54 ; [ 65]  (+1,+4)    76 degrees.
    .db    45 ; [ 66]  (+2,+4)    63 degrees.
    .db    38 ; [ 67]  (+3,+4)    53 degrees.
    .db    32 ; [ 68]  (+4,+4)    45 degrees.
    .db    28 ; [ 69]  (+5,+4)    39 degrees.
    .db    24 ; [ 70]  (+6,+4)    34 degrees.
    .db    22 ; [ 71]  (+7,+4)    31 degrees.
    .db    64 ; [ 72]  (-0,+4)    90 degrees.
    .db    74 ; [ 73]  (-1,+4)   104 degrees.
    .db    83 ; [ 74]  (-2,+4)   117 degrees.
    .db    91 ; [ 75]  (-3,+4)   128 degrees.
    .db    96 ; [ 76]  (-4,+4)   135 degrees.
    .db   101 ; [ 77]  (-5,+4)   142 degrees.
    .db   104 ; [ 78]  (-6,+4)   146 degrees.
    .db   107 ; [ 79]  (-7,+4)   150 degrees.
    .db    64 ; [ 80]  (+0,+5)    90 degrees.
    .db    56 ; [ 81]  (+1,+5)    79 degrees.
    .db    49 ; [ 82]  (+2,+5)    69 degrees.
    .db    42 ; [ 83]  (+3,+5)    59 degrees.
    .db    37 ; [ 84]  (+4,+5)    52 degrees.
    .db    32 ; [ 85]  (+5,+5)    45 degrees.
    .db    29 ; [ 86]  (+6,+5)    41 degrees.
    .db    26 ; [ 87]  (+7,+5)    37 degrees.
    .db    64 ; [ 88]  (-0,+5)    90 degrees.
    .db    72 ; [ 89]  (-1,+5)   101 degrees.
    .db    80 ; [ 90]  (-2,+5)   113 degrees.
    .db    86 ; [ 91]  (-3,+5)   121 degrees.
    .db    92 ; [ 92]  (-4,+5)   129 degrees.
    .db    96 ; [ 93]  (-5,+5)   135 degrees.
    .db   100 ; [ 94]  (-6,+5)   141 degrees.
    .db   103 ; [ 95]  (-7,+5)   145 degrees.
    .db    64 ; [ 96]  (+0,+6)    90 degrees.
    .db    58 ; [ 97]  (+1,+6)    82 degrees.
    .db    51 ; [ 98]  (+2,+6)    72 degrees.
    .db    45 ; [ 99]  (+3,+6)    63 degrees.
    .db    40 ; [100]  (+4,+6)    56 degrees.
    .db    36 ; [101]  (+5,+6)    51 degrees.
    .db    32 ; [102]  (+6,+6)    45 degrees.
    .db    29 ; [103]  (+7,+6)    41 degrees.
    .db    64 ; [104]  (-0,+6)    90 degrees.
    .db    71 ; [105]  (-1,+6)   100 degrees.
    .db    77 ; [106]  (-2,+6)   108 degrees.
    .db    83 ; [107]  (-3,+6)   117 degrees.
    .db    88 ; [108]  (-4,+6)   124 degrees.
    .db    93 ; [109]  (-5,+6)   131 degrees.
    .db    96 ; [110]  (-6,+6)   135 degrees.
    .db    99 ; [111]  (-7,+6)   139 degrees.
    .db    64 ; [112]  (+0,+7)    90 degrees.
    .db    59 ; [113]  (+1,+7)    83 degrees.
    .db    53 ; [114]  (+2,+7)    75 degrees.
    .db    48 ; [115]  (+3,+7)    68 degrees.
    .db    43 ; [116]  (+4,+7)    60 degrees.
    .db    39 ; [117]  (+5,+7)    55 degrees.
    .db    35 ; [118]  (+6,+7)    49 degrees.
    .db    32 ; [119]  (+7,+7)    45 degrees.
    .db    64 ; [120]  (-0,+7)    90 degrees.
    .db    70 ; [121]  (-1,+7)    98 degrees.
    .db    76 ; [122]  (-2,+7)   107 degrees.
    .db    81 ; [123]  (-3,+7)   114 degrees.
    .db    86 ; [124]  (-4,+7)   121 degrees.
    .db    90 ; [125]  (-5,+7)   127 degrees.
    .db    93 ; [126]  (-6,+7)   131 degrees.
    .db    96 ; [127]  (-7,+7)   135 degrees.
    .db     0 ; [128]  (+0,-0)     0 degrees.
    .db     0 ; [129]  (+1,-0)     0 degrees.
    .db     0 ; [130]  (+2,-0)     0 degrees.
    .db     0 ; [131]  (+3,-0)     0 degrees.
    .db     0 ; [132]  (+4,-0)     0 degrees.
    .db     0 ; [133]  (+5,-0)     0 degrees.
    .db     0 ; [134]  (+6,-0)     0 degrees.
    .db     0 ; [135]  (+7,-0)     0 degrees.
    .db     0 ; [136]  (-0,-0)     0 degrees.
    .db   128 ; [137]  (-1,-0)   180 degrees.
    .db   128 ; [138]  (-2,-0)   180 degrees.
    .db   128 ; [139]  (-3,-0)   180 degrees.
    .db   128 ; [140]  (-4,-0)   180 degrees.
    .db   128 ; [141]  (-5,-0)   180 degrees.
    .db   128 ; [142]  (-6,-0)   180 degrees.
    .db   128 ; [143]  (-7,-0)   180 degrees.
    .db   192 ; [144]  (+0,-1)   270 degrees.
    .db   224 ; [145]  (+1,-1)   315 degrees.
    .db   237 ; [146]  (+2,-1)   333 degrees.
    .db   243 ; [147]  (+3,-1)   342 degrees.
    .db   246 ; [148]  (+4,-1)   346 degrees.
    .db   248 ; [149]  (+5,-1)   349 degrees.
    .db   250 ; [150]  (+6,-1)   352 degrees.
    .db   251 ; [151]  (+7,-1)   353 degrees.
    .db   192 ; [152]  (-0,-1)   270 degrees.
    .db   160 ; [153]  (-1,-1)   225 degrees.
    .db   147 ; [154]  (-2,-1)   207 degrees.
    .db   141 ; [155]  (-3,-1)   198 degrees.
    .db   138 ; [156]  (-4,-1)   194 degrees.
    .db   136 ; [157]  (-5,-1)   191 degrees.
    .db   135 ; [158]  (-6,-1)   190 degrees.
    .db   134 ; [159]  (-7,-1)   188 degrees.
    .db   192 ; [160]  (+0,-2)   270 degrees.
    .db   211 ; [161]  (+1,-2)   297 degrees.
    .db   224 ; [162]  (+2,-2)   315 degrees.
    .db   232 ; [163]  (+3,-2)   326 degrees.
    .db   237 ; [164]  (+4,-2)   333 degrees.
    .db   241 ; [165]  (+5,-2)   339 degrees.
    .db   243 ; [166]  (+6,-2)   342 degrees.
    .db   245 ; [167]  (+7,-2)   345 degrees.
    .db   192 ; [168]  (-0,-2)   270 degrees.
    .db   173 ; [169]  (-1,-2)   243 degrees.
    .db   160 ; [170]  (-2,-2)   225 degrees.
    .db   152 ; [171]  (-3,-2)   214 degrees.
    .db   147 ; [172]  (-4,-2)   207 degrees.
    .db   144 ; [173]  (-5,-2)   203 degrees.
    .db   141 ; [174]  (-6,-2)   198 degrees.
    .db   140 ; [175]  (-7,-2)   197 degrees.
    .db   192 ; [176]  (+0,-3)   270 degrees.
    .db   205 ; [177]  (+1,-3)   288 degrees.
    .db   216 ; [178]  (+2,-3)   304 degrees.
    .db   224 ; [179]  (+3,-3)   315 degrees.
    .db   230 ; [180]  (+4,-3)   323 degrees.
    .db   234 ; [181]  (+5,-3)   329 degrees.
    .db   237 ; [182]  (+6,-3)   333 degrees.
    .db   240 ; [183]  (+7,-3)   338 degrees.
    .db   192 ; [184]  (-0,-3)   270 degrees.
    .db   179 ; [185]  (-1,-3)   252 degrees.
    .db   168 ; [186]  (-2,-3)   236 degrees.
    .db   160 ; [187]  (-3,-3)   225 degrees.
    .db   155 ; [188]  (-4,-3)   218 degrees.
    .db   150 ; [189]  (-5,-3)   211 degrees.
    .db   147 ; [190]  (-6,-3)   207 degrees.
    .db   145 ; [191]  (-7,-3)   204 degrees.
    .db   192 ; [192]  (+0,-4)   270 degrees.
    .db   202 ; [193]  (+1,-4)   284 degrees.
    .db   211 ; [194]  (+2,-4)   297 degrees.
    .db   219 ; [195]  (+3,-4)   308 degrees.
    .db   224 ; [196]  (+4,-4)   315 degrees.
    .db   229 ; [197]  (+5,-4)   322 degrees.
    .db   232 ; [198]  (+6,-4)   326 degrees.
    .db   235 ; [199]  (+7,-4)   330 degrees.
    .db   192 ; [200]  (-0,-4)   270 degrees.
    .db   182 ; [201]  (-1,-4)   256 degrees.
    .db   173 ; [202]  (-2,-4)   243 degrees.
    .db   166 ; [203]  (-3,-4)   233 degrees.
    .db   160 ; [204]  (-4,-4)   225 degrees.
    .db   156 ; [205]  (-5,-4)   219 degrees.
    .db   152 ; [206]  (-6,-4)   214 degrees.
    .db   150 ; [207]  (-7,-4)   211 degrees.
    .db   192 ; [208]  (+0,-5)   270 degrees.
    .db   200 ; [209]  (+1,-5)   281 degrees.
    .db   208 ; [210]  (+2,-5)   293 degrees.
    .db   214 ; [211]  (+3,-5)   301 degrees.
    .db   220 ; [212]  (+4,-5)   309 degrees.
    .db   224 ; [213]  (+5,-5)   315 degrees.
    .db   228 ; [214]  (+6,-5)   321 degrees.
    .db   231 ; [215]  (+7,-5)   325 degrees.
    .db   192 ; [216]  (-0,-5)   270 degrees.
    .db   184 ; [217]  (-1,-5)   259 degrees.
    .db   177 ; [218]  (-2,-5)   249 degrees.
    .db   170 ; [219]  (-3,-5)   239 degrees.
    .db   165 ; [220]  (-4,-5)   232 degrees.
    .db   160 ; [221]  (-5,-5)   225 degrees.
    .db   157 ; [222]  (-6,-5)   221 degrees.
    .db   154 ; [223]  (-7,-5)   217 degrees.
    .db   192 ; [224]  (+0,-6)   270 degrees.
    .db   199 ; [225]  (+1,-6)   280 degrees.
    .db   205 ; [226]  (+2,-6)   288 degrees.
    .db   211 ; [227]  (+3,-6)   297 degrees.
    .db   216 ; [228]  (+4,-6)   304 degrees.
    .db   221 ; [229]  (+5,-6)   311 degrees.
    .db   224 ; [230]  (+6,-6)   315 degrees.
    .db   227 ; [231]  (+7,-6)   319 degrees.
    .db   192 ; [232]  (-0,-6)   270 degrees.
    .db   186 ; [233]  (-1,-6)   262 degrees.
    .db   179 ; [234]  (-2,-6)   252 degrees.
    .db   173 ; [235]  (-3,-6)   243 degrees.
    .db   168 ; [236]  (-4,-6)   236 degrees.
    .db   164 ; [237]  (-5,-6)   231 degrees.
    .db   160 ; [238]  (-6,-6)   225 degrees.
    .db   157 ; [239]  (-7,-6)   221 degrees.
    .db   192 ; [240]  (+0,-7)   270 degrees.
    .db   198 ; [241]  (+1,-7)   278 degrees.
    .db   204 ; [242]  (+2,-7)   287 degrees.
    .db   209 ; [243]  (+3,-7)   294 degrees.
    .db   214 ; [244]  (+4,-7)   301 degrees.
    .db   218 ; [245]  (+5,-7)   307 degrees.
    .db   221 ; [246]  (+6,-7)   311 degrees.
    .db   224 ; [247]  (+7,-7)   315 degrees.
    .db   192 ; [248]  (-0,-7)   270 degrees.
    .db   187 ; [249]  (-1,-7)   263 degrees.
    .db   181 ; [250]  (-2,-7)   255 degrees.
    .db   176 ; [251]  (-3,-7)   248 degrees.
    .db   171 ; [252]  (-4,-7)   240 degrees.
    .db   167 ; [253]  (-5,-7)   235 degrees.
    .db   163 ; [254]  (-6,-7)   229 degrees.
    .db   160 ; [255]  (-7,-7)   225 degrees.
